package cn.palmte.work;

/**
 * @author <a href="https://github.com/TAKETODAY">Harry Yang</a>
 * @since 2.0 2022/12/30 15:26
 */
public class ErrorMessage implements Result {

  private String message;

  public ErrorMessage() { }

  public ErrorMessage(String message) {
    this.message = message;
  }

  public void setMessage(String message) {
    this.message = message;
  }

  public String getMessage() {
    return message;
  }

  public static ErrorMessage failed(String message) {
    return new ErrorMessage(message);
  }

  public static ErrorMessage failed() {
    return new ErrorMessage("未知错误");
  }

}
